## python-firehose 0.5

=== Makefile ===
#   Copyright 2013 David Malcolm <dmalcolm@redhat.com>
#   Copyright 2013 Red Hat, Inc.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or (at your option) any later version.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
#   USA

all: validate dump unittests executables docs-html

validate:
	xmllint --relaxng firehose.rng --noout examples/example-*.xml

dump:
	python firehose/model.py

unittests:
	python -m unittest discover -v

executables:
	PYTHONPATH=. \
	  python firehose/parsers/cppcheck.py \
	    tests/parsers/example-output/cppcheck-xml-v2/example-001.xml
	PYTHONPATH=. \
	  python firehose/parsers/clanganalyzer.py \
	    tests/parsers/example-output/clanganalyzer/report-001.plist

docs-html:
	cd docs && make html

=== requirements.txt ===
six  # for python 2 / 3 interop

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/firehose.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/firehose.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/firehose"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/firehose"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-firehose 0.3

=== debian/changelog ===
python-firehose (0.3-1) experimental; urgency=low

  * Upstream release
  * Add debian/test-data/findbugs_jformatstring.txt - to be removed for 0.4,
    upstrem was missing it in the MANIFEST.in

 -- Paul Tagliamonte <paultag@debian.org>  Tue, 08 Oct 2013 21:14:22 -0400

python-firehose (0.2-1) experimental; urgency=low

  * Initial release. (To experimental because the Schema is likely to change
    and I don't want it in testing yet)

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 14 Aug 2013 01:10:13 -0400

=== debian/control ===
Source: python-firehose
Section: python
Priority: optional
Maintainer: Paul Tagliamonte <paultag@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
# OK. DPMT is set to Uploader since I would *prefer* to know about changes
# made to this package, since this affects some cross-distro work, as well
# as a number of internal Debian projects. If a change is purely related to
# the packaging, do feel free to upload without my ack (e.g. debian/* maint
# work that doesn't affect upstream code), as a team upload. If I go
# unresponsive, please communicate the changes with upstream, and upload
# without my ack.
Build-Depends:
 debhelper (>= 9),
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-six,
 python3-six,
 python-nose,
 python3-nose,
 python-mock,
 python3-mock,
 libxml2-utils,
Standards-Version: 3.9.4
Homepage: https://github.com/fedora-static-analysis/firehose
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-firehose/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-firehose/trunk/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-firehose
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: set of Python bindings to the Firehose static analysis format
 We all know static analysis data is, well, awesome! However, we suffer
 from 10,000 different schemas, and unique ways of communicating the results.
 .
 Firehose aims to solve these issues by providing a common static analysis
 schema, with parsers for common tools, and lots of code to deal with
 Firehose output.
 .
 This package contains the Python 2 bindings to the Firehose XML schema.

Package: python3-firehose
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: set of Python 3 bindings to the Firehose static analysis format
 We all know static analysis data is, well, awesome! However, we suffer
 from 10,000 different schemas, and unique ways of communicating the results.
 .
 Firehose aims to solve these issues by providing a common static analysis
 schema, with parsers for common tools, and lots of code to deal with
 Firehose output.
 .
 This package contains the Python 3 bindings to the Firehose XML schema.

=== debian/rules ===
#!/usr/bin/make -f

PY2_PACKAGE_NAME = python-firehose
PY3_PACKAGE_NAME = python3-firehose

PYVERS  = $(shell pyversions -r)
PY3VERS = $(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./*.egg-info ./build \
		tests/parsers/example-output/findbugs/findbugs_jformatstring.txt

override_dh_auto_build:
	set -xe; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done

override_dh_auto_test:
	mkdir -pv tests/parsers/example-output/findbugs/
	cp -v debian/test-data/findbugs_jformatstring.txt \
		tests/parsers/example-output/findbugs/findbugs_jformatstring.txt
	set -xe; \
	for py in $(PYVERS); do \
		$$py /usr/bin/nosetests; \
	done
	#for py in $(PY3VERS); do \
	#	$$py /usr/bin/nosetests3; \
	#done

override_dh_auto_install:
	set -xe; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/$(PY2_PACKAGE_NAME) \
		--install-layout deb; \
	done
	set -xe; \
		for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --root debian/$(PY3_PACKAGE_NAME) \
		--install-layout deb; \
	done
	# Remove me when dh_python2 can handle this file
	rm -vf debian/*/usr/lib/python*/*-packages/*.egg-info/SOURCES.txt

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/f/firehose/ \
    firehose-(\d.*).tar.gz

## python-firehose 0.5

=== debian/changelog ===
python-firehose (0.5-3) unstable; urgency=medium

  * Team upload.
  * Add missing runtime dependency on python3-six
    (See firehose/model.py)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 29 Aug 2024 08:30:19 +0200

python-firehose (0.5-2) unstable; urgency=medium

  * Team upload.
  * Replace Nose with Pytest.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Aug 2024 12:57:46 +0200

python-firehose (0.5-1) unstable; urgency=medium

  * Upload to unstable
  * Add myself as uploader, with permission from paultag
  * New upstream version: 0.5
  * Drop fix-python3.patch: Applied upstream
  * Add fix-findbugs-test.patch
    - Renames a utility function so it is no longer executed
      like a test.

 -- Matthias Klumpp <mak@debian.org>  Thu, 04 Jan 2024 10:02:52 +0100

python-firehose (0.3-4) experimental; urgency=medium

  * Team upload.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Jul 2022 13:21:40 -0400

python-firehose (0.3-3) experimental; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nilesh Patra ]
  * Replace plistlib deprecated calls
    (Closes: #973747)
  * Switch watch version to 4
  * Bump debhelper-compat version to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root:no"
  * Add upstream/metadata
  * Minor fix in description

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 27 Dec 2020 11:44:11 +0530

python-firehose (0.3-2) experimental; urgency=medium

  * Team upload.
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Use pybuild to build package.
  * Bump debhelper compat level to 12.
  * Enable autopkgtest-pkg-python testsuite.
  * d/watch: Use pypi.debian.net.
  * Bump standards version to 4.4.0.
  * Fix Python 3 support and run tests during build.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Sep 2019 08:35:16 +0200

=== debian/control ===
Source: python-firehose
Section: python
Priority: optional
Maintainer: Paul Tagliamonte <paultag@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
           Matthias Klumpp <mak@debian.org>
# OK. DPMT is set to Uploader since I would *prefer* to know about changes
# made to this package, since this affects some cross-distro work, as well
# as a number of internal Debian projects. If a change is purely related to
# the packaging, do feel free to upload without my ack (e.g. debian/* maint
# work that doesn't affect upstream code), as a team upload. If I go
# unresponsive, please communicate the changes with upstream, and upload
# without my ack.
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libxml2-utils,
               python3-all,
               python3-mock,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-six
Standards-Version: 4.6.2
Homepage: https://github.com/fedora-static-analysis/firehose
Vcs-Git: https://salsa.debian.org/python-team/packages/python-firehose.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-firehose
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-firehose
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-six,
Description: Python bindings to the Firehose static analysis format
 Static analysis data is, well, awesome! However, there's a problem of suffering
 from 10,000 different schemas, and unique ways of communicating the results.
 .
 Firehose aims to solve these issues by providing a common static analysis
 schema, with parsers for common tools, and lots of code to deal with
 Firehose output.
 .
 This package contains the Python 3 bindings to the Firehose XML schema.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/firehose-$1\.tar\.gz/ \
    https://github.com/fedora-static-analysis/firehose/tags .*/v?(\d\S*)\.tar\.gz
